#ifndef EQUALIZERVIEW_H
#define EQUALIZERVIEW_H

#include <qwidget.h>
#include <kdialogbase.h>

class Band;
class QSlider;
class QLabel;
class QCheckBox;
//class Equalizer;

class EqualizerLevel : public QWidget
{
Q_OBJECT
public:
	EqualizerLevel(QWidget *parent, Band *band);

public slots:
	void changed(Band *);
	void changed(int);
	
private:
	Band *mBand;
	QSlider *mSlider;
	QLabel *mLabel;
};

class EqualizerView : public KDialogBase
{
Q_OBJECT
public:
	EqualizerView();

public slots:
	void qCheckBoxIsStupid(bool);

private:
	QCheckBox *mOn;

};

#endif

